Subject: Re: bug#8340: 23.2; recompile does not retain compilation-environment needed by vc-git-grep

From: Juri Linkov <[email-masked]>
Date: Wed, 07 Sep 2011 15:19:33 +0300

> Mixing defcustom+bufferlocal+letbinding is really asking for trouble,
> although I think in this case it might just fall within the limits of
> what does work.
>
> The vc-git.el patch looks perfectly good and so does the (set...thisenv).

Installed.

> But I'd prefer to refrain from making compilation-environment a defcustom
> for now, until we find a really good use for it.

There have been requests to make it a defcustom, and you even agreed to that ;-)
http://lists.gnu.org/archive/html/emacs-devel/2009-02/msg00118.html

It will allow the users to find and change it more easily in cases like this:
http://lists.gnu.org/archive/html/help-gnu-emacs/2011-02/msg00338.html